<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PackageProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PackageProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6,"i29":6,"i30":6,"i31":6,"i32":6,"i33":6,"i34":6,"i35":6,"i36":6,"i37":6,"i38":6,"i39":6,"i40":6,"i41":6,"i42":6,"i43":6,"i44":6,"i45":6,"i46":6,"i47":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PackageProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/PackageProperties.html"
               target="_top">Frames</a></li>
        <li><a href="PackageProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.openxml4j.opc</div>
    <h2 title="Interface PackageProperties" class="title">Interface PackageProperties</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/openxml4j/opc/internal/PackagePropertiesPart.html"
                           title="class in org.apache.poi.openxml4j.opc.internal">PackagePropertiesPart</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">PackageProperties</span></pre>
                <div class="block">Represents the core properties of an OPC package.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Version:</span></dt>
                    <dd>1.0</dd>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Julien Chable</dd>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                           title="class in org.apache.poi.openxml4j.opc"><code>OPCPackage</code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#NAMESPACE_DC">NAMESPACE_DC</a></span></code>
                                    <div class="block">Dublin Core namespace URI.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#NAMESPACE_DCTERMS">NAMESPACE_DCTERMS</a></span></code>
                                    <div class="block">Dublin Core Terms URI.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getCategoryProperty--">getCategoryProperty</a></span>()</code>
                                    <div class="block">Set the category of the content of this package.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getContentStatusProperty--">getContentStatusProperty</a></span>()</code>
                                    <div class="block">Set the status of the content.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getContentTypeProperty--">getContentTypeProperty</a></span>()</code>
                                    <div class="block">Get the type of content represented, generally defined by a
                                        specific use
                                        and intended audience.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.util.Date&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getCreatedProperty--">getCreatedProperty</a></span>()</code>
                                    <div class="block">Get the date of creation of the resource.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getCreatorProperty--">getCreatorProperty</a></span>()</code>
                                    <div class="block">Get the entity primarily responsible for making the content of
                                        the
                                        resource.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getDescriptionProperty--">getDescriptionProperty</a></span>()</code>
                                    <div class="block">Get the explanation of the content of the resource.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getIdentifierProperty--">getIdentifierProperty</a></span>()</code>
                                    <div class="block">Get an unambiguous reference to the resource within a given
                                        context.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getKeywordsProperty--">getKeywordsProperty</a></span>()</code>
                                    <div class="block">Get a delimited set of keywords to support searching and
                                        indexing.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getLanguageProperty--">getLanguageProperty</a></span>()</code>
                                    <div class="block">Get the language of the intellectual content of the resource.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getLastModifiedByProperty--">getLastModifiedByProperty</a></span>()</code>
                                    <div class="block">Get the user who performed the last modification.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.util.Date&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getLastPrintedProperty--">getLastPrintedProperty</a></span>()</code>
                                    <div class="block">Get the date and time of the last printing.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.util.Date&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getModifiedProperty--">getModifiedProperty</a></span>()</code>
                                    <div class="block">Get the date on which the resource was changed.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getRevisionProperty--">getRevisionProperty</a></span>()</code>
                                    <div class="block">Get the revision number.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getSubjectProperty--">getSubjectProperty</a></span>()</code>
                                    <div class="block">Get the topic of the content of the resource.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getTitleProperty--">getTitleProperty</a></span>()</code>
                                    <div class="block">Get the name given to the resource.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.util.Optional&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#getVersionProperty--">getVersionProperty</a></span>()</code>
                                    <div class="block">Get the version number.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setCategoryProperty-java.util.Optional-">setCategoryProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;category)</code>
                                    <div class="block">Set the category of the content of this package.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setCategoryProperty-java.lang.String-">setCategoryProperty</a></span>(java.lang.String&nbsp;category)</code>
                                    <div class="block">Set the category of the content of this package.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setContentStatusProperty-java.util.Optional-">setContentStatusProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;contentStatus)</code>
                                    <div class="block">Get the status of the content.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setContentStatusProperty-java.lang.String-">setContentStatusProperty</a></span>(java.lang.String&nbsp;contentStatus)</code>
                                    <div class="block">Get the status of the content.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setContentTypeProperty-java.util.Optional-">setContentTypeProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;contentType)</code>
                                    <div class="block">Set the type of content represented, generally defined by a
                                        specific use
                                        and intended audience.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setContentTypeProperty-java.lang.String-">setContentTypeProperty</a></span>(java.lang.String&nbsp;contentType)</code>
                                    <div class="block">Set the type of content represented, generally defined by a
                                        specific use
                                        and intended audience.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setCreatedProperty-java.util.Optional-">setCreatedProperty</a></span>(java.util.Optional&lt;java.util.Date&gt;&nbsp;created)</code>
                                    <div class="block">Set the date of creation of the resource.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setCreatedProperty-java.lang.String-">setCreatedProperty</a></span>(java.lang.String&nbsp;created)</code>
                                    <div class="block">Set the date of creation of the resource.</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setCreatorProperty-java.util.Optional-">setCreatorProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;creator)</code>
                                    <div class="block">Set the entity primarily responsible for making the content of
                                        the
                                        resource.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setCreatorProperty-java.lang.String-">setCreatorProperty</a></span>(java.lang.String&nbsp;creator)</code>
                                    <div class="block">Set the entity primarily responsible for making the content of
                                        the
                                        resource.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setDescriptionProperty-java.util.Optional-">setDescriptionProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;description)</code>
                                    <div class="block">Set the explanation of the content of the resource.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setDescriptionProperty-java.lang.String-">setDescriptionProperty</a></span>(java.lang.String&nbsp;description)</code>
                                    <div class="block">Set the explanation of the content of the resource.</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setIdentifierProperty-java.util.Optional-">setIdentifierProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;identifier)</code>
                                    <div class="block">Set an unambiguous reference to the resource within a given
                                        context.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setIdentifierProperty-java.lang.String-">setIdentifierProperty</a></span>(java.lang.String&nbsp;identifier)</code>
                                    <div class="block">Set an unambiguous reference to the resource within a given
                                        context.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setKeywordsProperty-java.util.Optional-">setKeywordsProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;keywords)</code>
                                    <div class="block">Set a delimited set of keywords to support searching and
                                        indexing.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setKeywordsProperty-java.lang.String-">setKeywordsProperty</a></span>(java.lang.String&nbsp;keywords)</code>
                                    <div class="block">Set a delimited set of keywords to support searching and
                                        indexing.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setLanguageProperty-java.util.Optional-">setLanguageProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;language)</code>
                                    <div class="block">Set the language of the intellectual content of the resource.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setLanguageProperty-java.lang.String-">setLanguageProperty</a></span>(java.lang.String&nbsp;language)</code>
                                    <div class="block">Set the language of the intellectual content of the resource.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setLastModifiedByProperty-java.util.Optional-">setLastModifiedByProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;lastModifiedBy)</code>
                                    <div class="block">Set the user who performed the last modification.</div>
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setLastModifiedByProperty-java.lang.String-">setLastModifiedByProperty</a></span>(java.lang.String&nbsp;lastModifiedBy)</code>
                                    <div class="block">Set the user who performed the last modification.</div>
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setLastPrintedProperty-java.util.Optional-">setLastPrintedProperty</a></span>(java.util.Optional&lt;java.util.Date&gt;&nbsp;lastPrinted)</code>
                                    <div class="block">Set the date and time of the last printing.</div>
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setLastPrintedProperty-java.lang.String-">setLastPrintedProperty</a></span>(java.lang.String&nbsp;lastPrinted)</code>
                                    <div class="block">Set the date and time of the last printing.</div>
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setModifiedProperty-java.util.Optional-">setModifiedProperty</a></span>(java.util.Optional&lt;java.util.Date&gt;&nbsp;modified)</code>
                                    <div class="block">Set the date on which the resource was changed.</div>
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setModifiedProperty-java.lang.String-">setModifiedProperty</a></span>(java.lang.String&nbsp;modified)</code>
                                    <div class="block">Set the date on which the resource was changed.</div>
                                </td>
                            </tr>
                            <tr id="i40" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setRevisionProperty-java.util.Optional-">setRevisionProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;revision)</code>
                                    <div class="block">Set the revision number.</div>
                                </td>
                            </tr>
                            <tr id="i41" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setRevisionProperty-java.lang.String-">setRevisionProperty</a></span>(java.lang.String&nbsp;revision)</code>
                                    <div class="block">Set the revision number.</div>
                                </td>
                            </tr>
                            <tr id="i42" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setSubjectProperty-java.util.Optional-">setSubjectProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;subject)</code>
                                    <div class="block">Set the topic of the content of the resource.</div>
                                </td>
                            </tr>
                            <tr id="i43" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setSubjectProperty-java.lang.String-">setSubjectProperty</a></span>(java.lang.String&nbsp;subject)</code>
                                    <div class="block">Set the topic of the content of the resource.</div>
                                </td>
                            </tr>
                            <tr id="i44" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setTitleProperty-java.util.Optional-">setTitleProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;title)</code>
                                    <div class="block">Set the name given to the resource.</div>
                                </td>
                            </tr>
                            <tr id="i45" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setTitleProperty-java.lang.String-">setTitleProperty</a></span>(java.lang.String&nbsp;title)</code>
                                    <div class="block">Set the name given to the resource.</div>
                                </td>
                            </tr>
                            <tr id="i46" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setVersionProperty-java.util.Optional-">setVersionProperty</a></span>(java.util.Optional&lt;java.lang.String&gt;&nbsp;version)</code>
                                    <div class="block">Set the version number.</div>
                                </td>
                            </tr>
                            <tr id="i47" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html#setVersionProperty-java.lang.String-">setVersionProperty</a></span>(java.lang.String&nbsp;version)</code>
                                    <div class="block">Set the version number.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="NAMESPACE_DCTERMS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NAMESPACE_DCTERMS</h4>
                                <pre>static final&nbsp;java.lang.String NAMESPACE_DCTERMS</pre>
                                <div class="block">Dublin Core Terms URI.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.openxml4j.opc.PackageProperties.NAMESPACE_DCTERMS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="NAMESPACE_DC">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>NAMESPACE_DC</h4>
                                <pre>static final&nbsp;java.lang.String NAMESPACE_DC</pre>
                                <div class="block">Dublin Core namespace URI.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.openxml4j.opc.PackageProperties.NAMESPACE_DC">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCategoryProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCategoryProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getCategoryProperty()</pre>
                                <div class="block">Set the category of the content of this package.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCategoryProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCategoryProperty</h4>
                                <pre>void&nbsp;setCategoryProperty(java.lang.String&nbsp;category)</pre>
                                <div class="block">Set the category of the content of this package.</div>
                            </li>
                        </ul>
                        <a name="setCategoryProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCategoryProperty</h4>
                                <pre>void&nbsp;setCategoryProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;category)</pre>
                                <div class="block">Set the category of the content of this package.</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getContentStatusProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getContentStatusProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getContentStatusProperty()</pre>
                                <div class="block">Set the status of the content.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setContentStatusProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setContentStatusProperty</h4>
                                <pre>void&nbsp;setContentStatusProperty(java.lang.String&nbsp;contentStatus)</pre>
                                <div class="block">Get the status of the content.</div>
                            </li>
                        </ul>
                        <a name="setContentStatusProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setContentStatusProperty</h4>
                                <pre>void&nbsp;setContentStatusProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;contentStatus)</pre>
                                <div class="block">Get the status of the content.</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getContentTypeProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getContentTypeProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getContentTypeProperty()</pre>
                                <div class="block">Get the type of content represented, generally defined by a specific
                                    use
                                    and intended audience.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setContentTypeProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setContentTypeProperty</h4>
                                <pre>void&nbsp;setContentTypeProperty(java.lang.String&nbsp;contentType)</pre>
                                <div class="block">Set the type of content represented, generally defined by a specific
                                    use
                                    and intended audience.
                                </div>
                            </li>
                        </ul>
                        <a name="setContentTypeProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setContentTypeProperty</h4>
                                <pre>void&nbsp;setContentTypeProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;contentType)</pre>
                                <div class="block">Set the type of content represented, generally defined by a specific
                                    use
                                    and intended audience.
                                </div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCreatedProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCreatedProperty</h4>
                                <pre>java.util.Optional&lt;java.util.Date&gt;&nbsp;getCreatedProperty()</pre>
                                <div class="block">Get the date of creation of the resource.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCreatedProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCreatedProperty</h4>
                                <pre>void&nbsp;setCreatedProperty(java.lang.String&nbsp;created)</pre>
                                <div class="block">Set the date of creation of the resource.</div>
                            </li>
                        </ul>
                        <a name="setCreatedProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCreatedProperty</h4>
                                <pre>void&nbsp;setCreatedProperty(java.util.Optional&lt;java.util.Date&gt;&nbsp;created)</pre>
                                <div class="block">Set the date of creation of the resource.</div>
                            </li>
                        </ul>
                        <a name="getCreatorProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCreatorProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getCreatorProperty()</pre>
                                <div class="block">Get the entity primarily responsible for making the content of the
                                    resource.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCreatorProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCreatorProperty</h4>
                                <pre>void&nbsp;setCreatorProperty(java.lang.String&nbsp;creator)</pre>
                                <div class="block">Set the entity primarily responsible for making the content of the
                                    resource.
                                </div>
                            </li>
                        </ul>
                        <a name="setCreatorProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCreatorProperty</h4>
                                <pre>void&nbsp;setCreatorProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;creator)</pre>
                                <div class="block">Set the entity primarily responsible for making the content of the
                                    resource.
                                </div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDescriptionProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDescriptionProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getDescriptionProperty()</pre>
                                <div class="block">Get the explanation of the content of the resource.</div>
                            </li>
                        </ul>
                        <a name="setDescriptionProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDescriptionProperty</h4>
                                <pre>void&nbsp;setDescriptionProperty(java.lang.String&nbsp;description)</pre>
                                <div class="block">Set the explanation of the content of the resource.</div>
                            </li>
                        </ul>
                        <a name="setDescriptionProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDescriptionProperty</h4>
                                <pre>void&nbsp;setDescriptionProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;description)</pre>
                                <div class="block">Set the explanation of the content of the resource.</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIdentifierProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIdentifierProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getIdentifierProperty()</pre>
                                <div class="block">Get an unambiguous reference to the resource within a given
                                    context.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIdentifierProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIdentifierProperty</h4>
                                <pre>void&nbsp;setIdentifierProperty(java.lang.String&nbsp;identifier)</pre>
                                <div class="block">Set an unambiguous reference to the resource within a given
                                    context.
                                </div>
                            </li>
                        </ul>
                        <a name="setIdentifierProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIdentifierProperty</h4>
                                <pre>void&nbsp;setIdentifierProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;identifier)</pre>
                                <div class="block">Set an unambiguous reference to the resource within a given
                                    context.
                                </div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getKeywordsProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getKeywordsProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getKeywordsProperty()</pre>
                                <div class="block">Get a delimited set of keywords to support searching and indexing.
                                    This
                                    is typically a list of terms that are not available elsewhere in the
                                    properties
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setKeywordsProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setKeywordsProperty</h4>
                                <pre>void&nbsp;setKeywordsProperty(java.lang.String&nbsp;keywords)</pre>
                                <div class="block">Set a delimited set of keywords to support searching and indexing.
                                    This
                                    is typically a list of terms that are not available elsewhere in the
                                    properties
                                </div>
                            </li>
                        </ul>
                        <a name="setKeywordsProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setKeywordsProperty</h4>
                                <pre>void&nbsp;setKeywordsProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;keywords)</pre>
                                <div class="block">Set a delimited set of keywords to support searching and indexing.
                                    This
                                    is typically a list of terms that are not available elsewhere in the
                                    properties
                                </div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLanguageProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLanguageProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getLanguageProperty()</pre>
                                <div class="block">Get the language of the intellectual content of the resource.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLanguageProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLanguageProperty</h4>
                                <pre>void&nbsp;setLanguageProperty(java.lang.String&nbsp;language)</pre>
                                <div class="block">Set the language of the intellectual content of the resource.</div>
                            </li>
                        </ul>
                        <a name="setLanguageProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLanguageProperty</h4>
                                <pre>void&nbsp;setLanguageProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;language)</pre>
                                <div class="block">Set the language of the intellectual content of the resource.</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastModifiedByProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastModifiedByProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getLastModifiedByProperty()</pre>
                                <div class="block">Get the user who performed the last modification.</div>
                            </li>
                        </ul>
                        <a name="setLastModifiedByProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastModifiedByProperty</h4>
                                <pre>void&nbsp;setLastModifiedByProperty(java.lang.String&nbsp;lastModifiedBy)</pre>
                                <div class="block">Set the user who performed the last modification.</div>
                            </li>
                        </ul>
                        <a name="setLastModifiedByProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastModifiedByProperty</h4>
                                <pre>void&nbsp;setLastModifiedByProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;lastModifiedBy)</pre>
                                <div class="block">Set the user who performed the last modification.</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastPrintedProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastPrintedProperty</h4>
                                <pre>java.util.Optional&lt;java.util.Date&gt;&nbsp;getLastPrintedProperty()</pre>
                                <div class="block">Get the date and time of the last printing.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLastPrintedProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastPrintedProperty</h4>
                                <pre>void&nbsp;setLastPrintedProperty(java.lang.String&nbsp;lastPrinted)</pre>
                                <div class="block">Set the date and time of the last printing.</div>
                            </li>
                        </ul>
                        <a name="setLastPrintedProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastPrintedProperty</h4>
                                <pre>void&nbsp;setLastPrintedProperty(java.util.Optional&lt;java.util.Date&gt;&nbsp;lastPrinted)</pre>
                                <div class="block">Set the date and time of the last printing.</div>
                            </li>
                        </ul>
                        <a name="getModifiedProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getModifiedProperty</h4>
                                <pre>java.util.Optional&lt;java.util.Date&gt;&nbsp;getModifiedProperty()</pre>
                                <div class="block">Get the date on which the resource was changed.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setModifiedProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setModifiedProperty</h4>
                                <pre>void&nbsp;setModifiedProperty(java.lang.String&nbsp;modified)</pre>
                                <div class="block">Set the date on which the resource was changed.</div>
                            </li>
                        </ul>
                        <a name="setModifiedProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setModifiedProperty</h4>
                                <pre>void&nbsp;setModifiedProperty(java.util.Optional&lt;java.util.Date&gt;&nbsp;modified)</pre>
                                <div class="block">Set the date on which the resource was changed.</div>
                            </li>
                        </ul>
                        <a name="getRevisionProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRevisionProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getRevisionProperty()</pre>
                                <div class="block">Get the revision number.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRevisionProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRevisionProperty</h4>
                                <pre>void&nbsp;setRevisionProperty(java.lang.String&nbsp;revision)</pre>
                                <div class="block">Set the revision number.</div>
                            </li>
                        </ul>
                        <a name="setRevisionProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRevisionProperty</h4>
                                <pre>void&nbsp;setRevisionProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;revision)</pre>
                                <div class="block">Set the revision number.</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSubjectProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSubjectProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getSubjectProperty()</pre>
                                <div class="block">Get the topic of the content of the resource.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSubjectProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSubjectProperty</h4>
                                <pre>void&nbsp;setSubjectProperty(java.lang.String&nbsp;subject)</pre>
                                <div class="block">Set the topic of the content of the resource.</div>
                            </li>
                        </ul>
                        <a name="setSubjectProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSubjectProperty</h4>
                                <pre>void&nbsp;setSubjectProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;subject)</pre>
                                <div class="block">Set the topic of the content of the resource.</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTitleProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTitleProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getTitleProperty()</pre>
                                <div class="block">Get the name given to the resource.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTitleProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTitleProperty</h4>
                                <pre>void&nbsp;setTitleProperty(java.lang.String&nbsp;title)</pre>
                                <div class="block">Set the name given to the resource.</div>
                            </li>
                        </ul>
                        <a name="setTitleProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTitleProperty</h4>
                                <pre>void&nbsp;setTitleProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;title)</pre>
                                <div class="block">Set the name given to the resource.</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVersionProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVersionProperty</h4>
                                <pre>java.util.Optional&lt;java.lang.String&gt;&nbsp;getVersionProperty()</pre>
                                <div class="block">Get the version number.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVersionProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVersionProperty</h4>
                                <pre>void&nbsp;setVersionProperty(java.lang.String&nbsp;version)</pre>
                                <div class="block">Set the version number.</div>
                            </li>
                        </ul>
                        <a name="setVersionProperty-java.util.Optional-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setVersionProperty</h4>
                                <pre>void&nbsp;setVersionProperty(java.util.Optional&lt;java.lang.String&gt;&nbsp;version)</pre>
                                <div class="block">Set the version number.</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PackageProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/PackageProperties.html"
               target="_top">Frames</a></li>
        <li><a href="PackageProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
